Bug 1727491 (python-lfpy) - Review Request: python-lfpy - A module for modeling extracellular potentials of multicompartment neuron models built on NEURON [NEEDINFO]
Summary: Review Request: python-lfpy - A module for modeling extracellular potentials ...
Keywords:
Status: CLOSED ERRATA
Alias: python-lfpy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-07-07 00:26 UTC by Victor Tejada Yau
Modified: 2019-09-09 02:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 02:21:55 UTC
bazanluis20: fedora-review+
mhroncok: needinfo? (victortyau)


Attachments (Terms of Use)

Description Victor Tejada Yau 2019-07-07 00:26:55 UTC
Spec URL: https://victortyau.fedorapeople.org/python-LFPy/python-LFPy.spec
SRPM URL: https://victortyau.fedorapeople.org/python-LFPy/python-LFPy-2.0.2-1.fc30.src.rpm
Description: LFPy is a Python-module for calculation of extracellular potentials from multi-compartment neuron models. It relies on the NEURON simulator ( and uses
the Python interface ( it provides.LFPy provides a set of easy-to-use Python
classes for setting up your model, running your simulations and calculating the
extracellular potentials arising from activity in your model neuron
Fedora Account System Username:victortyau
I need to sponsor

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-07-08 12:35:44 UTC
Package name should be python-lfpy.

Please don't repeat the description text:
%description
LFPy is a Python-module for calculation of extracellular potentials from
...
have a model...
↓
%global %_description %{expand:
LFPy is a Python-module for calculation of extracellular potentials from
...
have a model...}

%description %_description

%description -n python3-%{pypi_name} %_description

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-07-11 05:36:35 UTC
Hmm, now there are two description texts. Is this on purpose?

Comment 5 Aymen Qader 2019-07-21 16:49:34 UTC
Hi, I'm not sponsored yet so these are just a few unofficial comments (not a comprehensive review):

* Your summary is too long -- it shouldn't exceed 79 characters.

* The package doesn't build with mock, you need to list a BuildRequires against gcc (for cython). Try make sure that the package builds using mock -- check out https://fedoraproject.org/wiki/Using_Mock_to_test_package_builds

* Move the python3 specific BuildRequires statements to under the python3- subpackage.

* Make sure that you are not using 'Requires' for dependencies which are only needed during the build step (e.g. setuptools is likely not required outside of building, so it should just be a BuildRequires). Likewise, BuildRequires shouldn't be used for dependencies which are not needed for building but are needed for the package to function.

* Upstream provides examples, which you can include with %doc. They also provide sphinx docs, which you can build with sphinx-build and likewise include with %doc.

Comment 6 Zbigniew Jędrzejewski-Szmek 2019-07-22 06:48:03 UTC
All good comments from Aymen, with one exception:
> Move the python3 specific BuildRequires statements to under the python3- subpackage.
Nah, not this. It is normal to keep all BRs at the top. It only makes sense to split
them out when there are optional subpackage and one wants to make clear which BRs are
required for which subpackages. In this case, the python3- subpackage is "the" subpackage,
that always needs to be built and the BRs for that should be at the top.

Comment 7 Aymen Qader 2019-07-22 07:11:39 UTC
>Nah, not this. It is normal to keep all BRs at the top.

Apologies for the misinformation, I had thought that this was the convention
because of the example spec in the guidelines
(https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_python_spec_file)

I'll make sure to keep this in mind for the future, thank you for the
correction.

Comment 8 Ankur Sinha (FranciscoD) 2019-08-01 15:04:42 UTC
Victor, is this ready for a full review now?

Luis, would you have the cycles to do it this week please? I can take it up otherwise since you're all going to be busy at Flock :P

Cheers!

Comment 9 Victor Tejada Yau 2019-08-06 04:48:02 UTC
Spec URL: https://victortyau.fedorapeople.org/python-LFPy/python-lfpy.spec

SRPM URL: https://victortyau.fedorapeople.org/python-LFPy/python-lfpy-2.0.2-1.fc30.src.rpm

some changes waiting for comments.

Bless

Comment 10 Luis Bazan 2019-08-08 16:37:41 UTC
Hi Victor 

Please add on BuildRequires: gcc

and remove on Requires setuptools and Cython

and I can approve your package and them you add the %doc in spec

Cheers,

Comment 11 Victor Tejada Yau 2019-08-09 04:11:50 UTC
Hi Luis

Spec URL: https://victortyau.fedorapeople.org/python-LFPy/python-lfpy.spec

SRPM URL: https://victortyau.fedorapeople.org/python-LFPy/python-lfpy-2.0.3-1.fc30.src.rpm

some changes waiting for comments.

Bless

Comment 12 Luis Bazan 2019-08-09 05:51:05 UTC
Hi Victor 

APPROVED!

Please continue with the next step.

Add the neuro-sig in members. :-)

Cheers,

Comment 13 Igor Gnatenko 2019-08-19 05:51:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-lfpy

Comment 14 Miro Hrončok 2019-08-22 22:16:16 UTC
Why is the source package called python-lfpy and the subpacakge python3-LFPy instead of python3-lfpy?

Comment 15 Ankur Sinha (FranciscoD) 2019-08-26 14:43:58 UTC
Victor, please fix the sub-package as Miro pointed out, and then also build for F31 and F30 and push updates to bodhi.

Comment 16 Fedora Update System 2019-08-26 15:50:06 UTC
FEDORA-2019-6f15ed9d48 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f15ed9d48

Comment 17 Fedora Update System 2019-08-26 17:20:14 UTC
FEDORA-2019-8d739f7da7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d739f7da7

Comment 18 Luis Bazan 2019-08-26 17:21:09 UTC
(In reply to Miro Hrončok from comment #14)
> Why is the source package called python-lfpy and the subpacakge python3-LFPy
> instead of python3-lfpy?

Fixed!

Cheers,

Comment 20 Fedora Update System 2019-08-27 18:21:57 UTC
python-lfpy-2.0.3-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-53e7847129

Comment 21 Fedora Update System 2019-08-27 18:27:39 UTC
python-lfpy-2.0.3-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d739f7da7

Comment 22 Fabio Valentini 2019-08-27 21:14:13 UTC
I don't know why you think you need to define a whole lot of custom macros, but at any rate the python3 sub-package is now named python3--lfpy with two hyphens.

Comment 23 Luis Bazan 2019-08-31 15:14:26 UTC
(In reply to Fabio Valentini from comment #22)
> I don't know why you think you need to define a whole lot of custom macros,
> but at any rate the python3 sub-package is now named python3--lfpy with two
> hyphens.

fixed!

Comment 24 Miro Hrončok 2019-08-31 15:23:45 UTC
only in master and there is no upgrade path at all.

Comment 25 Fedora Update System 2019-08-31 15:57:02 UTC
FEDORA-2019-5075fa927b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5075fa927b

Comment 27 Fedora Update System 2019-09-01 08:11:24 UTC
python-lfpy-2.0.3-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9a55c5aed6

Comment 28 Fedora Update System 2019-09-01 09:46:44 UTC
python-lfpy-2.0.3-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5075fa927b

Comment 29 Fedora Update System 2019-09-09 02:21:55 UTC
python-lfpy-2.0.3-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2019-09-09 02:32:02 UTC
python-lfpy-2.0.3-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.